Bug 209012 - sysutils/linux-crashplan : clean up to not hard-depend on expired java/linux-sun-jre17
Summary: sysutils/linux-crashplan : clean up to not hard-depend on expired java/linux-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-24 13:29 UTC by Rene Ladan
Modified: 2016-05-08 10:39 UTC (History)
4 users (show)

See Also:


Attachments
build log on 9.3-i386 RELEASE (13.32 KB, text/x-log)
2016-04-24 13:29 UTC, Rene Ladan
no flags Details
patch to clean up sysutils/linux-crashplan (15.57 KB, patch)
2016-04-24 13:30 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2016-04-24 13:29:30 UTC
Created attachment 169628 [details]
build log on 9.3-i386 RELEASE

sysutils/linux-crashplan currently has a hard-coded dependency on java/linux-sun-jre17, whih expired two months ago. Change the port to use the USE_JAVA variables instead to pick up a suitable Java version automatically.

While here, address portlint issues:
- regenerate patches (see also PR 206305 ?)
- use %%DATADIR%% in pkg-plist
- use PKGNAMEPREFIX
Comment 1 Rene Ladan freebsd_committer 2016-04-24 13:30:24 UTC
Created attachment 169629 [details]
patch to clean up sysutils/linux-crashplan
Comment 2 William Grzybowski freebsd_committer 2016-04-29 16:48:00 UTC
That patch does not apply cleanly on current HEAD.

There is no files/patch-scripts_CrashPlanEngine file.
Comment 3 Rene Ladan freebsd_committer 2016-04-29 17:56:24 UTC
Did you apply the patch via "svn patch" ? 
files/patch-scripts_CrashPlanEngine is a modified copy of files/patch-CrashPlanEngine
Comment 4 William Grzybowski freebsd_committer 2016-04-29 18:29:36 UTC
(In reply to Rene Ladan from comment #3)
Yes, thats what I get:

U         sysutils/linux-crashplan/Makefile
D         sysutils/linux-crashplan/files/patch-CrashPlanDesktop
D         sysutils/linux-crashplan/files/patch-CrashPlanEngine
Skipped missing target: 'sysutils/linux-crashplan/files/patch-scripts_CrashPlanDesktop'
Skipped missing target: 'sysutils/linux-crashplan/files/patch-scripts_CrashPlanEngine'
U         sysutils/linux-crashplan/pkg-message
U         sysutils/linux-crashplan/pkg-plist
Summary of conflicts:
  Skipped paths: 2
Comment 5 commit-hook freebsd_committer 2016-05-08 10:38:37 UTC
A commit references this bug:

Author: rene
Date: Sun May  8 10:38:31 UTC 2016
New revision: 414797
URL: https://svnweb.freebsd.org/changeset/ports/414797

Log:
  sysutils/linux-crashplan: Use USE_JAVA knobs instead of a hardcoded dependency
  on java/linux-sun-jre17.  The latter port expired two months ago.

  While here address portlint issues:
  - regenerate patches
  - use %%DATADIR%% in pkg-plist
  - use PKGNAMEPREFIX
  - add java to CATEGORIES
  - remove empty trailing line from pkg-message

  PR:		209012
  Submitted by:	myself
  Approved by:	maintainer timeout (subtil@gmail.com, 14 days)

Changes:
  head/sysutils/linux-crashplan/Makefile
  head/sysutils/linux-crashplan/files/patch-CrashPlanDesktop
  head/sysutils/linux-crashplan/files/patch-CrashPlanEngine
  head/sysutils/linux-crashplan/files/patch-scripts_CrashPlanDesktop
  head/sysutils/linux-crashplan/files/patch-scripts_CrashPlanEngine
  head/sysutils/linux-crashplan/pkg-message
  head/sysutils/linux-crashplan/pkg-plist